<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.mapper.SenMonitorTaskAlgorithmsMapper">

    <select id="selectTaskAlgorithms" resultType="java.util.Map">
        SELECT
        al.*,
        config.algorithm_name,
        config.algorithm_category,
        dict.dict_label AS algorithm_category_name
        FROM
        sen_monitor_task_algorithms al
        LEFT JOIN sen_algorithm_config config ON al.algorithm_id = config.id
        LEFT JOIN sys_dict_data dict ON dict_type = 'algorithm_category'
        AND config.algorithm_category = dict.dict_value
        WHERE
        task_id = ${id}
    </select>
</mapper>
